Summary:        fsverity utilities
Name:           fsverity-utils
Version:        1.5
Release:        4%{?dist}
License:        BSD
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
Source0:        %{url}/snapshot/fsverity-utils-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  kernel-headers glibc-headers
BuildRequires:  openssl-devel
Requires:       libfsverity = %{version}-%{release}

%description
fsverity is a userspace utility for fs-verity that allows you to set up fs-verity 
protected files. fs-verity is a Linux kernel feature that uses a hidden Merkle tree 
(hash tree) associated with the file for transparent on-demand integrity/authenticity 
verification of the contents of read-only files.
This mechanism is similar to dm-verity, but fs-verity is implemented at the file level
rather than at the block device level. 

%package -n libfsverity
Summary:          Development package for fsverity-utils
%description -n libfsverity
Library for fsverity-utils.

%package devel
Summary:          Development package for fsverity-utils
Requires:         libfsverity = %{version}-%{release}
Requires:         fsverity-utils = %{version}-%{release}
%description devel
This package includes the libfsverity header and library files.

%prep
%autosetup

%build
%make_build CFLAGS="$CFLAGS -g" USE_SHARED_LIB=1

%install
%make_install PREFIX=/usr LIBDIR=%{_libdir}  CFLAGS="$CFLAGS -g" USE_SHARED_LIB=1
find %{buildroot} -type f -name "*.a" -delete

%files
%doc README.md
%{_bindir}/fsverity

%files -n libfsverity
%license LICENSE
%{_libdir}/libfsverity.so.0

%files devel
%{_includedir}/libfsverity.h
%{_libdir}/libfsverity.so
%{_libdir}/pkgconfig/libfsverity.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Wang Guodong <gordonwwang@tencent.com> - 1.5-1
- package init.
